## luarocks 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.28 2008/06/30 12:40:38 hisham Exp $
+# $Id: Makefile,v 1.30 2008/08/18 14:07:35 hisham Exp $
 
 include config.unix
 
@@ -15,7 +15,7 @@
 fs/win32.lua help.lua install.lua list.lua persist.lua \
 make_manifest.lua pack.lua path.lua rep.lua require.lua search.lua \
 type_check.lua util.lua remove.lua build/builtin.lua make.lua manif.lua unpack.lua \
-fetch/cvs.lua fetch/sscm.lua
+fetch/cvs.lua fetch/sscm.lua fetch/git.lua
 
 CONFIG_FILE = $(SYSCONFDIR)/config.lua
 
@@ -30,31 +30,35 @@
 	done
 	cp src/luarocks/cfg.lua src/luarocks/cfg.lua.bak
 	rm src/luarocks/cfg.lua
-	if [ "$(LUA_INCDIR)" ] ;\
+	if [ -n "$(PREFIX)" ] ;\
+	then \
+	   echo "local LUAROCKS_PREFIX=[[$(PREFIX)]]" >> src/luarocks/cfg.lua ;\
+	fi
+	if [ -n "$(LUA_INCDIR)" ] ;\
 	then \
 	   echo "local LUA_INCDIR=[[$(LUA_INCDIR)]]" >> src/luarocks/cfg.lua ;\
 	fi
-	if [ "$(LUA_LIBDIR)" ] ;\
+	if [ -n "$(LUA_LIBDIR)" ] ;\
 	then \
 	   echo "local LUA_LIBDIR=[[$(LUA_LIBDIR)]]" >> src/luarocks/cfg.lua ;\
 	fi
-	if [ "$(LUA_BINDIR)" ] ;\
+	if [ -n "$(LUA_BINDIR)" ] ;\
 	then \
 	   echo "local LUA_BINDIR=[[$(LUA_BINDIR)]]" >> src/luarocks/cfg.lua ;\
 	fi
-	if [ "$(LUA_SUFFIX)" ] ;\
+	if [ -n "$(LUA_SUFFIX)" ] ;\
 	then \
 	   echo "local LUA_INTERPRETER=[[lua$(LUA_SUFFIX)]]" >> src/luarocks/cfg.lua ;\
 	fi
-	if [ "$(SYSCONFDIR)" ] ;\
+	if [ -n "$(SYSCONFDIR)" ] ;\
 	then \
 	   echo "local LUAROCKS_SYSCONFIG=[[$(SYSCONFDIR)/config.lua]]" >> src/luarocks/cfg.lua ;\
 	fi
-	if [ "$(ROCKS_TREE)" ] ;\
+	if [ -n "$(ROCKS_TREE)" ] ;\
 	then \
 	   echo "local LUAROCKS_ROCKS_TREE=[[$(ROCKS_TREE)]]" >> src/luarocks/cfg.lua ;\
 	fi
-	if [ "$(FORCE_CONFIG)" ] ;\
+	if [ -n "$(FORCE_CONFIG)" ] ;\
 	then \
 	   echo "local LUAROCKS_FORCE_CONFIG=true" >> src/luarocks/cfg.lua ;\
 	fi
@@ -99,20 +103,20 @@
 	mkdir -p "$(DESTDIR)$(LUADIR)/luarocks"
 	cd src/luarocks && for f in $(LUAROCKS_FILES); do d="$(DESTDIR)$(LUADIR)/luarocks"/`dirname "$$f"`; mkdir -p "$$d"; cp "$$f" "$$d"; done
 	mkdir -p "$(DESTDIR)$(ROCKS_TREE)"
-	if [ ! -e "$(DESTDIR)$(CONFIG_FILE)" ] ;\
+	if [ ! -f "$(DESTDIR)$(CONFIG_FILE)" ] ;\
 	then \
 	   mkdir -p `dirname "$(DESTDIR)$(CONFIG_FILE)"` ;\
 	   echo 'rocks_servers = {' >> "$(DESTDIR)$(CONFIG_FILE)" ;\
 	   echo '   [[http://luarocks.luaforge.net/rocks]]' >> "$(DESTDIR)$(CONFIG_FILE)" ;\
 	   echo '}' >> "$(DESTDIR)$(CONFIG_FILE)" ;\
 	   echo 'rocks_trees = {' >> "$(DESTDIR)$(CONFIG_FILE)" ;\
-	   if ! [ "$(FORCE_CONFIG)" ] ;\
+	   if  [ ! -n "$(FORCE_CONFIG)" ] ;\
 	   then \
 	      echo '   home..[[/.luarocks]],' >> "$(DESTDIR)$(CONFIG_FILE)" ;\
 	   fi ;\
 	   echo '   [[$(ROCKS_TREE)]]' >> "$(DESTDIR)$(CONFIG_FILE)" ;\
 	   echo '}' >> "$(DESTDIR)$(CONFIG_FILE)" ;\
-	   if [ "$(SCRIPTS_DIR)" ] ;\
+	   if [ -n "$(SCRIPTS_DIR)" ] ;\
 	   then \
 	      echo "scripts_dir = [[$(SCRIPTS_DIR)]]" >> "$(DESTDIR)$(CONFIG_FILE)" ;\
 	   fi ;\
