## luarocks 2.0.9

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ROCKS_TREE ?= $(PREFIX)
 SYSCONFDIR ?= $(PREFIX)/etc/luarocks
 BINDIR ?= $(PREFIX)/bin
-LUADIR ?= $(PREFIX)/share/lua/5.1/
+LUADIR ?= $(PREFIX)/share/lua/$(LUA_VERSION)/
 LUA_DIR ?= /usr/local
 LUA_BINDIR ?= $(LUA_DIR)/bin
 
@@ -20,7 +20,7 @@
 remove.lua fs.lua manif.lua add.lua deps.lua build.lua search.lua show.lua \
 manif_core.lua fetch.lua unpack.lua validate.lua cfg.lua download.lua \
 help.lua util.lua index.lua cache.lua add.lua refresh_cache.lua loader.lua \
-admin_remove.lua fetch/hg.lua fetch/git_file.lua
+admin_remove.lua fetch/hg.lua fetch/git_file.lua new_version.lua
 
 CONFIG_FILE = $(SYSCONFDIR)/config.lua
 
@@ -66,20 +66,21 @@
 	echo "LUAROCKS_DOWNLOADER=[[$(LUAROCKS_DOWNLOADER)]]" >> src/luarocks/site_config.lua
 	echo "LUAROCKS_MD5CHECKER=[[$(LUAROCKS_MD5CHECKER)]]" >> src/luarocks/site_config.lua
 
-dev: cleanup_bins
-	make build_bins LUADIR=$(PWD)/src
+dev:
+	$(MAKE) build_bins LUADIR=$(PWD)/src
 
-build_bins:
+build_bins: cleanup_bins
 	for f in $(BIN_FILES) ;\
 	do \
-	   sed "1d" src/bin/$$f >> src/bin/$$f.bak ;\
+	   sed "1d" src/bin/$$f > src/bin/$$f.bak ;\
 	   echo "#!$(LUA_BINDIR)/lua$(LUA_SUFFIX)" > src/bin/$$f ;\
 	   echo "package.path = [[$(LUADIR)/?.lua;$(LUADIR)/?/init.lua;]]..package.path" >> src/bin/$$f ;\
 	   cat src/bin/$$f.bak >> src/bin/$$f ;\
-	   rm src/bin/$$f.bak ;\
+	   chmod +x src/bin/$$f ;\
+	   rm -f src/bin/$$f.bak ;\
 	done
 
-built: cleanup_bins src/luarocks/site_config.lua build_bins
+built: src/luarocks/site_config.lua build_bins
 	touch built
 	@echo
 	@echo "Done. Type 'make install' to install into $(PREFIX)."
@@ -96,7 +97,7 @@
 	echo $(LUAROCKS_FILES) | tr " " "\n" | sort >> makefile_list.txt
 	( cd src/luarocks && find * -name "*.lua" ) | sort >> luarocks_dir.txt
 	diff makefile_list.txt luarocks_dir.txt
-	rm makefile_list.txt luarocks_dir.txt
+	rm -f makefile_list.txt luarocks_dir.txt
 	@echo
 	@echo "Makefile is sane."
 	@echo
@@ -104,27 +105,29 @@
 cleanup_bins:
 	for f in $(BIN_FILES) ;\
 	do \
-	   sed -i.bak "s,^#!.*lua.*,#!/usr/bin/env lua,;/^package.path/d" src/bin/$$f ;\
-	   rm src/bin/$$f.bak ;\
+	   mv src/bin/$$f src/bin/$$f.bak ;\
+	   sed "s,^#!.*lua.*,#!/usr/bin/env lua,;/^package.path/d" < src/bin/$$f.bak > src/bin/$$f ;\
+	   chmod +x src/bin/$$f ;\
+	   rm -f src/bin/$$f.bak ;\
 	done
 
 clean: cleanup_bins
 	rm -f src/luarocks/site_config.lua
 	rm -f built
 
-install_bins:
+install_bins: built
 	mkdir -p "$(DESTDIR)$(BINDIR)"
 	cd src/bin && cp $(BIN_FILES) "$(DESTDIR)$(BINDIR)"
 
-install_luas:
+install_luas: built
 	mkdir -p "$(DESTDIR)$(LUADIR)/luarocks"
 	cd src/luarocks && for f in $(LUAROCKS_FILES); do d="$(DESTDIR)$(LUADIR)/luarocks"/`dirname "$$f"`; mkdir -p "$$d"; cp "$$f" "$$d"; done
 
-install_site_config:
+install_site_config: built
 	mkdir -p "$(DESTDIR)$(LUADIR)/luarocks"
 	cd src/luarocks && cp site_config.lua "$(DESTDIR)$(LUADIR)/luarocks"
 
-write_sysconfig:
+write_sysconfig: built
 	mkdir -p "$(DESTDIR)$(ROCKS_TREE)"
 	if [ ! -f "$(DESTDIR)$(CONFIG_FILE)" ] ;\
 	then \
@@ -141,7 +144,7 @@
 	   echo '}' >> "$(DESTDIR)$(CONFIG_FILE)" ;\
 	fi
 
-install: built install_bins install_luas install_site_config write_sysconfig
+install: install_bins install_luas install_site_config write_sysconfig
 
 bootstrap: src/luarocks/site_config.lua install_site_config write_sysconfig
 	LUA_PATH="$$PWD/src/?.lua;$$LUA_PATH" src/bin/luarocks make rockspec
