=== debian/changelog ===
luarocks (2.0.9-1) unstable; urgency=low

  * New upstream release with some support for Lua 5.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 Apr 2012 14:19:13 +0200
