=== debian/control ===
Source: luarocks
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), luadoc, liblua5.1-dev, wget, txt2man
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/luarocks
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/luarocks
Homepage: http://luarocks.org/

Package: luarocks
Architecture: all
Depends: lua5.1, liblua5.1-dev, wget, ${misc:Depends}, zip
Description: deployment and management system for Lua modules
 This package contains LuaRocks, a tool for managing rocks.  A Lua rock is a
 bundle containing a module and some metadata like compilation instructions and
 copyright. The command line utility luarocks can download, build, install and
 remove rocks, properly handling dependencies among them and allowing multiple
 versions of the same rock to coexist. 
 .
 The tool installs system-wide rocks in /usr/local when run by the superuser,
 but a regular user can easily tune it to install rocks in his home directory.
 .
 This package also provides the luarocks-admin tool, needed to create a rocks
 repository, and the documentation for luarocks, describing the command line
 tools as well as the library to manipulate rocks.
