=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR=debian/tmp

%:
	dh $@

override_dh_auto_configure:
	./configure \
 		--prefix=/usr \
 		--sysconfdir=/etc/luarocks \
 		--with-lua=/usr \
 		--with-lua-include=/usr/include/lua5.1 \
 		--with-lua-lib=/usr/local/lib \
		--rocks-tree=/usr/local/ \
		--with-downloader=wget \
		--with-md5-checker=md5sum

override_dh_auto_build:
	make
	txt2man -t "luarocks 1" -r "LuaRocks" -v "" debian/luarocks.1.txt \
		> luarocks.1
	txt2man -t "luarocks-admin 1" -r "LuaRocks repository administration"\
	       	-v "" debian/luarocks-admin.1.txt > luarocks-admin.1

override_dh_auto_install:
	mkdir -p $(DEB_DESTDIR)/etc/luarocks/
	mkdir -p $(DEB_DESTDIR)/usr/bin/
	mkdir -p $(DEB_DESTDIR)/usr/share/lua/5.1/
	mkdir -p $(DEB_DESTDIR)/usr/share/doc/luarocks/doc/
	cp -r src/luarocks $(DEB_DESTDIR)/usr/share/lua/5.1/
	sed -i -e '1i\local popen = io.popen' $(DEB_DESTDIR)/usr/share/lua/5.1/luarocks/site_config.lua
	sed -i -e 's/^LUAROCKS_UNAME_S.*/LUAROCKS_UNAME_S=(popen("uname -s"):read("*a"):gsub("\\n",""))/' $(DEB_DESTDIR)/usr/share/lua/5.1/luarocks/site_config.lua
	sed -i -e 's/^LUAROCKS_UNAME_M.*/LUAROCKS_UNAME_M=(popen("uname -m"):read("*a"):gsub("\\n",""))/' $(DEB_DESTDIR)/usr/share/lua/5.1/luarocks/site_config.lua
	cp src/bin/luarocks $(DEB_DESTDIR)/usr/bin/
	cp src/bin/luarocks-admin $(DEB_DESTDIR)/usr/bin/
	sed -i -e '1c\#!/usr/bin/env lua5.1' $(DEB_DESTDIR)/usr/bin/*
	make luadoc
	cp -r doc/luadoc/* $(DEB_DESTDIR)/usr/share/doc/luarocks/doc/
	echo 'rocks_servers = {' > $(DEB_DESTDIR)/etc/luarocks/config.lua
	echo '   [[http://luarocks.org/repositories/rocks]]' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
	echo '}' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
	echo '' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
	echo 'rocks_trees = {' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
	echo '   home..[[/.luarocks]],' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
	echo '   [[/usr/local]]' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
	echo '}' >> $(DEB_DESTDIR)/etc/luarocks/config.lua

override_dh_auto_clean:
	rm -f luarocks.1 luarocks-admin.1
	make clean || true
