## luarocks 2.2.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8), luadoc, liblua5.1-dev, wget, txt2man
+Build-Depends: debhelper (>= 8), lua-ldoc, lua5.1, liblua5.1-dev, wget, txt2man
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/luarocks
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/luarocks
