=== debian/changelog ===
luarocks (2.2.0+dfsg-2) unstable; urgency=medium

  * Build depend on lua5.1 explicitly (Close: 796443) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 22 Aug 2015 17:48:25 +0200

luarocks (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * patch 0001-Fixed-detection-of-Debian-paths removed (applied upstream)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 11 Oct 2014 15:26:47 +0200

luarocks (2.0.12-2) unstable; urgency=low

  * Add to the config file the correct multiarch path for system
    wide libraries (Closes: #724509)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 Sep 2013 22:31:04 +0200

luarocks (2.0.12-1) unstable; urgency=low

  * New upstream release 
  * Cherry-pick upstream patch for Debian paths 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 09 Jun 2013 17:50:48 +0200
