=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 override_dh_auto_configure:
 	./configure \
+		--lua-version=5.1 \
  		--prefix=/usr \
  		--sysconfdir=/etc/luarocks \
  		--with-lua=/usr \
@@ -17,12 +18,19 @@
 		--with-md5-checker=md5sum
 
 override_dh_auto_build:
-	make
+	make build
 	txt2man -t "luarocks 1" -r "LuaRocks" -v "" debian/luarocks.1.txt \
 		> luarocks.1
 	txt2man -t "luarocks-admin 1" -r "LuaRocks repository administration"\
 	       	-v "" debian/luarocks-admin.1.txt > luarocks-admin.1
 
+define LUAROCKS_CONF
+rocks_trees = {
+   home..[[/.luarocks]],
+   [[/usr/local]]
+}
+endef
+export LUAROCKS_CONF
 override_dh_auto_install:
 	mkdir -p $(DEB_DESTDIR)/etc/luarocks/
 	mkdir -p $(DEB_DESTDIR)/usr/bin/
@@ -35,16 +43,7 @@
 	cp src/bin/luarocks $(DEB_DESTDIR)/usr/bin/
 	cp src/bin/luarocks-admin $(DEB_DESTDIR)/usr/bin/
 	sed -i -e '1c\#!/usr/bin/env lua5.1' $(DEB_DESTDIR)/usr/bin/*
-	make luadoc
-	cp -r doc/luadoc/* $(DEB_DESTDIR)/usr/share/doc/luarocks/doc/
-	echo 'rocks_servers = {' > $(DEB_DESTDIR)/etc/luarocks/config.lua
-	echo '   [[http://luarocks.org/repositories/rocks]]' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
-	echo '}' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
-	echo '' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
-	echo 'rocks_trees = {' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
-	echo '   home..[[/.luarocks]],' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
-	echo '   [[/usr/local]]' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
-	echo '}' >> $(DEB_DESTDIR)/etc/luarocks/config.lua
+	echo "$$LUAROCKS_CONF" > $(DEB_DESTDIR)/etc/luarocks/config-5.1.lua
 
 override_dh_auto_clean:
 	rm -f luarocks.1 luarocks-admin.1
