=== debian/changelog ===
luarocks (2.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Support lua 5.1, 5.2 and 5.3 via lua-any
  * Recommend lua-sec for https download 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 26 Dec 2016 10:15:35 +0100
