=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8), lua-ldoc, lua5.1, liblua5.1-dev, wget, txt2man
+Build-Depends: debhelper (>= 8), lua-ldoc, lua5.1, liblua5.1-dev, wget, txt2man, unzip, dh-lua
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/luarocks
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/luarocks
@@ -10,7 +10,8 @@
 
 Package: luarocks
 Architecture: all
-Depends: lua5.1, liblua5.1-dev, wget, ${misc:Depends}, zip
+Depends: lua-any, lua5.1 | lua5.2 | lua5.3, liblua5.1-dev | liblua5.2-dev | liblua5.3-dev, wget, ${misc:Depends}, zip, unzip
+Recommends: lua-sec
 Description: deployment and management system for Lua modules
  This package contains LuaRocks, a tool for managing rocks.  A Lua rock is a
  bundle containing a module and some metadata like compilation instructions and
