## luarocks 3.7.0+dfsg1

=== debian/changelog ===
luarocks (3.7.0+dfsg1-1ubuntu1) jammy; urgency=medium

  * d/luarocks.postinst: Add global flag to fix installation (LP: #1949957).
  * d/tests: Add basic autopkgtests.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 05 Nov 2021 14:01:10 +0000

luarocks (3.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #909394, #930257, #995240)
  * Add local-tree to luarocks-admin
  * AMAU, lua-team maintenance
  * Standards-Version 4.5.1
  * Update Vcs fields
  * Use watch file version 4
  * Exclude binary/ files
  * Update copyright to format 1.0
  * Fix stars in NEWS
  * Less intervention for luarocks paths resolution
  * debhelper 13

 -- Jérémy Lal <kapouer@melix.org>  Tue, 28 Sep 2021 17:01:22 +0200

luarocks (2.4.2+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 00:36:28 +0100
