=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: luarocks
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8), lua-ldoc, lua5.1, liblua5.1-dev, wget, txt2man, unzip, dh-lua
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/luarocks
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/luarocks
-Homepage: http://luarocks.org/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Jérémy Lal <kapouer@melix.org>
+Build-Depends: debhelper-compat (= 13), lua-ldoc, lua5.1, liblua5.1-dev, wget, txt2man, unzip, dh-lua
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/lua-team/luarocks
+Vcs-Git: https://salsa.debian.org/lua-team/luarocks.git
+Homepage: https://luarocks.org/
 
 Package: luarocks
 Architecture: all
