## luarocks 3.8.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: luarocks
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13), lua-ldoc, lua5.1, liblua5.1-dev, wget, txt2man, unzip, dh-lua
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/lua-team/luarocks
 Vcs-Git: https://salsa.debian.org/lua-team/luarocks.git
 Homepage: https://luarocks.org/
 
 Package: luarocks
 Architecture: all
-Depends: lua-any, lua5.1 | lua5.2 | lua5.3, liblua5.1-dev | liblua5.2-dev | liblua5.3-dev, wget, ${misc:Depends}, zip, unzip
+Depends: lua-any, lua5.1 | lua5.3, liblua5.1-dev | liblua5.3-dev, wget, ${misc:Depends}, zip, unzip
 Recommends: lua-sec
 Description: deployment and management system for Lua modules
  This package contains LuaRocks, a tool for managing rocks.  A Lua rock is a
